<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:id="@+id/iv_header_bg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:adjustViewBounds="true"
        android:scaleType="fitXY"
        android:src="@drawable/bg_home_page_header"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/view_status_bar"
        android:layout_width="match_parent"
        android:layout_height="1px"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="15dp"
        android:padding="10dp"
        android:src="@drawable/icon_back_arrow_white"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />


    <View
        android:id="@+id/view_top_bg"
        android:layout_width="match_parent"
        android:layout_height="127dp"
        android:layout_marginStart="14dp"
        android:layout_marginTop="51dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/shape_home_page_header_bg"
        app:layout_constraintTop_toBottomOf="@+id/iv_back" />

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/iv_avatar"
        android:layout_width="58dp"
        android:layout_height="58dp"
        android:layout_marginStart="11dp"
        android:layout_marginTop="14dp"
        android:src="@drawable/icon_teacher_default_head"
        app:layout_constraintLeft_toLeftOf="@+id/view_top_bg"
        app:layout_constraintTop_toTopOf="@+id/view_top_bg" />


    <TextView
        android:id="@+id/tv_nickname"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:layout_marginTop="6dp"
        android:layout_marginBottom="10dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_18"
        app:layout_constraintLeft_toRightOf="@+id/iv_avatar"
        app:layout_constraintTop_toTopOf="@+id/iv_avatar"
        app:layout_constraintVertical_chainStyle="packed"
        tools:text="游客12e32td" />

    <com.cooleshow.base.widgets.BadgeIconListView
        android:id="@+id/ll_badge"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="5dp"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"
        app:layout_constraintLeft_toRightOf="@+id/tv_nickname"
        app:layout_constraintTop_toTopOf="@+id/tv_nickname" />

    <!--    <ImageView-->
    <!--        android:id="@+id/iv_teacher_entry_tag"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginStart="6dp"-->
    <!--        android:src="@drawable/icon_teahcer_entry_tag"-->
    <!--        android:visibility="gone"-->
    <!--        app:layout_constraintBottom_toBottomOf="@+id/tv_nickname"-->
    <!--        app:layout_constraintLeft_toRightOf="@+id/tv_nickname"-->
    <!--        app:layout_constraintTop_toTopOf="@+id/tv_nickname" />-->

    <!--    <ImageView-->
    <!--        android:id="@+id/iv_teacher_music_person_tag"-->
    <!--        android:layout_width="wrap_content"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:layout_marginStart="3dp"-->
    <!--        android:src="@drawable/icon_teacher_music_person_tag"-->
    <!--        android:visibility="gone"-->
    <!--        app:layout_constraintBottom_toBottomOf="@+id/iv_teacher_entry_tag"-->
    <!--        app:layout_constraintLeft_toRightOf="@+id/iv_teacher_entry_tag"-->
    <!--        app:layout_constraintTop_toTopOf="@+id/iv_teacher_entry_tag" />-->

    <LinearLayout
        android:id="@+id/ll_subject_container"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:layout_marginRight="@dimen/dp_30"
        android:orientation="horizontal"
        app:layout_constraintLeft_toLeftOf="@+id/tv_nickname"
        app:layout_constraintRight_toRightOf="@+id/view_top_bg"
        app:layout_constraintTop_toBottomOf="@+id/tv_nickname" />

    <LinearLayout
        android:id="@+id/ll_subject_container2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:orientation="horizontal"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="@+id/ll_subject_container"
        app:layout_constraintRight_toRightOf="@+id/ll_subject_container"
        app:layout_constraintTop_toBottomOf="@+id/ll_subject_container" />


    <RatingBar
        android:id="@+id/rating_bar"
        style="@style/HomeRatingBar"
        android:layout_width="wrap_content"
        android:layout_height="19dp"
        android:layout_marginTop="20dp"
        android:isIndicator="true"
        android:numStars="5"
        android:rating="0"
        android:stepSize="1"
        android:visibility="invisible"
        app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
        app:layout_constraintTop_toBottomOf="@+id/iv_avatar" />

    <TextView
        android:id="@+id/tv_no_score"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="暂无评分"
        android:textSize="@dimen/sp_13"
        android:visibility="gone"
        app:layout_constraintLeft_toLeftOf="@+id/iv_avatar"
        app:layout_constraintTop_toBottomOf="@+id/iv_avatar" />

    <LinearLayout
        android:id="@+id/ll_fans"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="12dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@+id/ll_course_num_completed"
        app:layout_constraintRight_toLeftOf="@+id/ll_course_num_completed"
        app:layout_constraintTop_toTopOf="@+id/ll_course_num_completed">


        <TextView
            android:id="@+id/tv_fans_title"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="粉丝"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/tv_fans_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="3dp"
            android:text="0"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"
            tools:text="1181" />
    </LinearLayout>

    <View
        android:layout_width="1dp"
        android:layout_height="12dp"
        android:background="@color/color_d3d3d3"
        app:layout_constraintBottom_toBottomOf="@+id/ll_course_num_completed"
        app:layout_constraintLeft_toRightOf="@+id/ll_fans"
        app:layout_constraintRight_toLeftOf="@+id/ll_course_num_completed"
        app:layout_constraintTop_toTopOf="@+id/ll_course_num_completed" />

    <LinearLayout
        android:id="@+id/ll_course_num_completed"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="10dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@+id/rating_bar"
        app:layout_constraintRight_toRightOf="@+id/view_top_bg"
        app:layout_constraintTop_toTopOf="@+id/rating_bar">


        <TextView
            android:id="@+id/tv_course_num_completed_title"
            android:layout_width="wrap_content"
            android:layout_height="28dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="已上课时"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/tv_course_num_completed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="3dp"
            android:text="0"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold"
            tools:text="1111118" />
    </LinearLayout>

    <com.google.android.material.tabs.TabLayout
        android:id="@+id/tab_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="14dp"
        android:layout_marginTop="15dp"
        android:layout_marginEnd="14dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_top_bg"
        app:tabBackground="@color/transparent"
        app:tabGravity="fill"
        app:tabIndicator="@drawable/custom_indicator_drawable"
        app:tabIndicatorColor="@color/colorAccent"
        app:tabIndicatorFullWidth="false"
        app:tabIndicatorHeight="4dp"
        app:tabMaxWidth="0dp"
        app:tabMode="scrollable"
        app:tabPaddingEnd="0dp"
        app:tabPaddingStart="0dp"
        app:tabRippleColor="@color/transparent"
        app:tabSelectedTextColor="@color/color_333333"
        app:tabTextColor="@color/color_666666" />

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/view_pager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:overScrollMode="never"
        android:scrollbars="none"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tab_layout" />

</androidx.constraintlayout.widget.ConstraintLayout>